{ www_root ? null }:
rec {
  www = ./www;
  apacheConfig = let
    www_root' = if isNull www_root then www else www_root;
  in ''
      ErrorDocument 500 /maintenance_immae.html
      ErrorDocument 501 /maintenance_immae.html
      ErrorDocument 502 /maintenance_immae.html
      ErrorDocument 503 /maintenance_immae.html
      ErrorDocument 504 /maintenance_immae.html
      Alias /maintenance_immae.html ${www_root'}/maintenance_immae.html
      ProxyPass /maintenance_immae.html !

      AliasMatch "(.*)/googleb6d69446ff4ca3e5.html" ${www_root'}/googleb6d69446ff4ca3e5.html
      <Directory ${www_root'}>
        AllowOverride None
        Require all granted
      </Directory>
    '';
}
